<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>disable</Nullable>
        <CopyRefAssembliesToPublishDirectory>false</CopyRefAssembliesToPublishDirectory>
        <RootNamespace>SecureSharing</RootNamespace>
        <UserSecretsId>7f4608f1-6c17-4907-960a-3aee94c83a31</UserSecretsId>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="AutoMapper" Version="11.0.1" />
        <PackageReference Include="Microsoft.AspNet.Identity.Core" Version="2.2.3" />
        <PackageReference Include="Microsoft.AspNetCore.Authentication.Google" Version="6.0.9" />
        <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="6.0.9" />
        <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="6.0.9" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="6.0.9" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="6.0.9" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="6.0.9">
            <PrivateAssets>all</PrivateAssets>
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.15.1" />
        <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="6.0.9" />
        <PackageReference Include="Quartz" Version="3.5.0" />
        <PackageReference Include="Serilog" Version="2.12.0" />
        <PackageReference Include="Serilog.AspNetCore" Version="6.0.1" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\SecureSharing.Business\SecureSharing.Business.csproj" />
        <ProjectReference Include="..\SecureSharing.Data\SecureSharing.Data.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Folder Include="AppData\Errors\" />
        <Folder Include="wwwroot\files" />
    </ItemGroup>

    <ItemGroup>
      <_ContentIncludedByDefault Remove="Areas\Identity\Pages\Account\Login.cshtml" />
      <_ContentIncludedByDefault Remove="Areas\Identity\Pages\Account\LoginTestbe.cshtml" />
      <_ContentIncludedByDefault Remove="Areas\Identity\Pages\Account\Register.cshtml" />
      <_ContentIncludedByDefault Remove="Areas\Identity\Pages\Account\ResetPassword.cshtml" />
      <_ContentIncludedByDefault Remove="Areas\Identity\Pages\Account\_ViewImports.cshtml" />
      <_ContentIncludedByDefault Remove="Areas\Identity\Pages\_ValidationScriptsPartial.cshtml" />
      <_ContentIncludedByDefault Remove="Areas\Identity\Pages\_ViewImports.cshtml" />
      <_ContentIncludedByDefault Remove="Areas\Identity\Pages\_ViewStart.cshtml" />
    </ItemGroup>

</Project>
